# List all settlement reports

**GET** `/reporting`

List all available settlement reports under the platform. Filtered results can be retrieved with extra parameters in the query.

### Query Parameters

- `category` `string` — Filter settlement reports by category.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `from_date` `string` — Filter settlement reports from this date.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.
- `statement_subject_id` `string` — Filter settlement reports by statement subject ID.
- `to_date` `string` — Filter settlement reports to this date.
- `type` `array of enums` — Filter settlement reports by type.

**Request**

```shell
curl 'https://api.column.com/reporting?from_date=2025-11-01&to_date=2025-11-03&type=bank_account_transaction' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "reports": [
    {
      "id": "srpt_27kigaqHolth6UzjnOohU9tNdSt",
      "created_at": "2022-04-13T10:23:16",
      "updated_at": "2022-04-13T10:23:16",
      "type": "bank_account_transaction",
      "status": "scheduled",
      "time_zone": "America/Los_Angeles",
      "from_date": "2022-03-02",
      "to_date": "2022-03-02",
      "initiated_at": null,
      "completed_at": null,
      "row_count": null,
      "columns": null,
      "csv_document_id": "",
      "json_document_id": "",
      "parquet_document_id": ""
    },
    {
      "id": "srpt_27kkUwEPiFqmhxLsDgLihgE8pKr",
      "created_at": "2022-04-13T17:38:11Z",
      "updated_at": "2022-04-13T17:38:11Z",
      "type": "bank_account_transaction",
      "status": "completed",
      "time_zone": "America/Los_Angeles",
      "from_date": "2022-03-01",
      "to_date": "2022-03-01",
      "initiated_at": "2022-04-13T17:10:15Z",
      "completed_at": "2022-04-13T17:11:15Z",
      "row_count": 888,
      "columns": [
        "effective_at",
        "effective_at_utc",
        "bank_account_id",
        "bank_account_type",
        "account_number_id",
        "entity_id",
        "entity_name",
        "entity_type",
        "transaction_id",
        "transaction_type",
        "currency",
        "available_amount",
        "available_balance",
        "pending_amount",
        "pending_balance",
        "locked_amount",
        "locked_balance",
        "holding_amount",
        "holding_balance"
      ],
      "csv_document_id": "docu_27kh6MA1yp5d1QT7HorEchZrwab",
      "json_document_id": "docu_27kh6MzwxYZGGVa4ZD7GICMY5kd",
      "parquet_document_id": "docu_27kh6PbEbYbhMHEDocJ7pYQFQZo"
    }
  ],
  "has_more": false
}
```
